.TH "QUEUING" 1 "2021-01-08" "" "Annotation Pipeline"

.SH SYNOPSIS
Queuing the \fBAnnotation Pipeline\fR.

.SS TL;DR

.TP
.B Queuing
.EX
make queue
.EE

.B

.SH QUEUING
Every set of the \fBAnnotation Pipeline\fR is queued in the hold state. This
gives the ability to modify any of the default SLURM parameters for the various
jobs using \fBscontrol update jobid=\fIjobid \fB...\fR command. After all
changes to the jobs, they can be released using \fBscontrol release \fIjobid ...\fR

.SH REQUEUING
If one or more of the jobs fail, then all the dependant jobs will have a
\fIDependencyNeverSatisfied\fR error. Currently, the only way to fix this is to
cancel all dependant jobs, including all sub-dependents, delete the queue token
in the archive \fI$(NAME).queue.a\fR, and run the queuing command again. The
example below will cancel all jobs submitted by the current user, delete the
\fBbraker\fR queue token from the \fI$(NAME).queue.a\fR archive, and queue
everything after the \fBbraker\fR step.

.EX
scancel -u $(whoami)
ar d $(NAME).queue.a braker.o
make queue
.EE
